<?php
/**
 * 示例
 * 【注意】该文件为示例，仅供参考学习，请不要将该文件包含在生产的系统代码中
 * 【重要】各传入参数SDK都不作任何检查、过滤，请务必在传入前进行安全检查或过滤，特别是生成HTML代码的方法，务必保证传入参数的安全性，否则会导致安全问题。
 * @author xiezz, zengminghua
 * @version 1.0.0
 */


//die('<html><head><meta http-equiv="content-type" content="text/html;charset=utf-8"></head><body>该页面是示例，请直接打开PHP源文件查看调用示例，不要在浏览器中访问。</body></html>');

// 在调用任何API之前，你必须定义一个$open_config数组，里面包含需要的参数
// 这里把参数都写在open_config.php文件中，然后直接包含
require_once('open_config.php');

// 开放银行平台SDK API类
// 【注意】如果该类文件在其它路径的话，请自行替换
require_once('lib/open_core.class.php');

// 若时区不正确，可以使用下行方式更改，也可以在php.ini中设置
// ini_set('date.timezone','Asia/Shanghai');

// 实例化
$open = new OpenSDK($open_config);

// 组装参数等
$body_param_array = array('key' => 'value');

// 发送数据
$result = $open->exec('/api/testApi', 'POST', null, null, $body_param_array);

// 返回的$result_json即为响应报文
echo $result;

// 上传文件
$result = $open->upload_file('/example/path/file.txt');
echo $result;

// 下载文件
$result = $open->download_file('THISISFILEID', '/example/path/result.txt');
echo $result;
